%global srcname ta-lib
%global _description %{summary}.
%global debug_package %{nil}

%global commit f393d2af97e5526a34b2e3f4bdad25d9e44f83ac
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{srcname}
Version:        0.6.0~20241002git%{shortcommit}
Release:        %autorelease
Summary:        Technical Analysis Library (Core C library)

License:        BSD-3-Clause
URL:            https://github.com/TA-Lib/ta-lib
Source:         %{url}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make

%description
%{_description}


%package devel
Summary:       Development libraries for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development libraries for %{name}.


%prep
%autosetup -p1 -n %{srcname}-%{commit}


%build
chmod +x autogen.sh
./autogen.sh
%configure
%make_build -j1


%install
%make_install
rm -v %{buildroot}/%{_libdir}/*.a


%check
%make_build check VERBOSE=1


%files
%doc README.md
%{_libdir}/libta_lib.so
%{_libdir}/libta_lib.so.0
%{_libdir}/libta_lib.so.0.0.0


%files devel
%doc README.md
%{_includedir}/%{srcname}
%{_libdir}/pkgconfig/ta-lib.pc


%changelog
%autochangelog
